about summary refs log tree commit diff stats
path: root/pkgs
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-24 18:11:42 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-24 18:11:42 +0200
commit16ed3778ab53fb7d274bed4e428fecaa5c5c5f5b (patch)
treea4cc5d24151f3f499de310cdc8334eae36f01615 /pkgs
parentfix(pkgs/by-name/{tr,ya}): Move away from `crane.lib.${system}` (diff)
downloadnixos-config-16ed3778ab53fb7d274bed4e428fecaa5c5c5f5b.tar.gz
nixos-config-16ed3778ab53fb7d274bed4e428fecaa5c5c5f5b.zip
fix(pkgs/update.sh): Update to the new `by-name` convention
Diffstat (limited to 'pkgs')
-rwxr-xr-xpkgs/by-name/co/comments/update.sh1
-rwxr-xr-xpkgs/by-name/ge/generate_moz_extension/update.sh1
-rwxr-xr-xpkgs/by-name/lf/lf-make-map/update.sh1
-rwxr-xr-xpkgs/by-name/up/update-vim-plugins/update.sh1
-rwxr-xr-xpkgs/by-name/update_pkgs.sh25
-rwxr-xr-xpkgs/by-name/ya/yambar-cpu/update.sh2
-rwxr-xr-xpkgs/by-name/ya/yambar-memory/update.sh2
-rwxr-xr-xpkgs/by-name/yt/yt/update.sh1
-rwxr-xr-xpkgs/update.sh44
9 files changed, 47 insertions, 31 deletions
diff --git a/pkgs/by-name/co/comments/update.sh b/pkgs/by-name/co/comments/update.sh
index e500bb23..407a2f60 100755
--- a/pkgs/by-name/co/comments/update.sh
+++ b/pkgs/by-name/co/comments/update.sh
@@ -1,6 +1,5 @@
 #!/usr/bin/env sh
 
-nix flake update
 
 [ "$1" = "upgrade" ] && cargo upgrade
 cargo update
diff --git a/pkgs/by-name/ge/generate_moz_extension/update.sh b/pkgs/by-name/ge/generate_moz_extension/update.sh
index e500bb23..407a2f60 100755
--- a/pkgs/by-name/ge/generate_moz_extension/update.sh
+++ b/pkgs/by-name/ge/generate_moz_extension/update.sh
@@ -1,6 +1,5 @@
 #!/usr/bin/env sh
 
-nix flake update
 
 [ "$1" = "upgrade" ] && cargo upgrade
 cargo update
diff --git a/pkgs/by-name/lf/lf-make-map/update.sh b/pkgs/by-name/lf/lf-make-map/update.sh
index a0a029f4..56105a1d 100755
--- a/pkgs/by-name/lf/lf-make-map/update.sh
+++ b/pkgs/by-name/lf/lf-make-map/update.sh
@@ -1,6 +1,5 @@
 #!/usr/bin/env sh
 
-nix flake update
 
 [ "$1" = "upgrade" ] && cargo upgrade
 cargo update
diff --git a/pkgs/by-name/up/update-vim-plugins/update.sh b/pkgs/by-name/up/update-vim-plugins/update.sh
index 1bad12a9..1d9d03b0 100755
--- a/pkgs/by-name/up/update-vim-plugins/update.sh
+++ b/pkgs/by-name/up/update-vim-plugins/update.sh
@@ -1,5 +1,6 @@
 #!/usr/bin/env sh
 
+
 poetry update --lock
 
 # vim: ft=sh
diff --git a/pkgs/by-name/update_pkgs.sh b/pkgs/by-name/update_pkgs.sh
deleted file mode 100755
index be1573c6..00000000
--- a/pkgs/by-name/update_pkgs.sh
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/usr/bin/env sh
-
-die() {
-    printf "\033[31;1mError: \033[0m%s" "$1"
-    exit 1
-}
-
-cd "$(dirname "$0")" || die "Bug: run with false dirname ('$0')!"
-
-fd . --type directory --max-depth 1 | while read -r dir; do
-    cd "$dir" || die "Dir '$dir' does not exist"
-
-    if [ -f update.sh ]; then
-        printf "\033[34;1m> \033[0m\033[34;1m%s\033[0m\n" "Running '${dir}update.sh'"
-
-        [ -f flake.nix ] && nix flake update
-
-        direnv allow
-        eval "$(direnv export bash 2>/dev/null)"
-        ./update.sh "$@"
-    fi
-    cd - >/dev/null || die "Bug: Last dir does not exist"
-done
-
-# vim: ft=sh
diff --git a/pkgs/by-name/ya/yambar-cpu/update.sh b/pkgs/by-name/ya/yambar-cpu/update.sh
index 4de6e712..407a2f60 100755
--- a/pkgs/by-name/ya/yambar-cpu/update.sh
+++ b/pkgs/by-name/ya/yambar-cpu/update.sh
@@ -1,7 +1,7 @@
 #!/usr/bin/env sh
 
-[ "$1" = "upgrade" ] && cargo upgrade
 
+[ "$1" = "upgrade" ] && cargo upgrade
 cargo update
 
 # vim: ft=sh
diff --git a/pkgs/by-name/ya/yambar-memory/update.sh b/pkgs/by-name/ya/yambar-memory/update.sh
index 4de6e712..407a2f60 100755
--- a/pkgs/by-name/ya/yambar-memory/update.sh
+++ b/pkgs/by-name/ya/yambar-memory/update.sh
@@ -1,7 +1,7 @@
 #!/usr/bin/env sh
 
-[ "$1" = "upgrade" ] && cargo upgrade
 
+[ "$1" = "upgrade" ] && cargo upgrade
 cargo update
 
 # vim: ft=sh
diff --git a/pkgs/by-name/yt/yt/update.sh b/pkgs/by-name/yt/yt/update.sh
index e500bb23..407a2f60 100755
--- a/pkgs/by-name/yt/yt/update.sh
+++ b/pkgs/by-name/yt/yt/update.sh
@@ -1,6 +1,5 @@
 #!/usr/bin/env sh
 
-nix flake update
 
 [ "$1" = "upgrade" ] && cargo upgrade
 cargo update
diff --git a/pkgs/update.sh b/pkgs/update.sh
new file mode 100755
index 00000000..d84c828e
--- /dev/null
+++ b/pkgs/update.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env sh
+
+die() {
+    printf "\033[31;1mError: \033[0m%s\n" "$1"
+    exit 1
+}
+
+cd "$(dirname "$0")" || die "Bug: run with the wrong first arg: '$0'!"
+cd ./by-name || die "(BUG): The directory './by-name' does not exist?"
+
+# First check if all the update scripts conform to the standard
+files_with_update="$(mktemp)";
+trap 'rm "$files_with_update"' EXIT
+
+fd update.sh . --type file --extension sh --max-depth 3 | while read -r file; do
+    grep -q "nix flake update" "$file" && echo "$file" >> "$files_with_update"
+done
+
+if [ "$(wc -l < "$files_with_update")" != 0 ]; then
+    die "Some packages seem to try to update their flake with 'nix flake update'. This is redundant. These Packages are: $(echo && cat "$files_with_update")"
+fi
+
+# Than actually perform the update
+fd . --type directory --max-depth 1 | while read -r shard; do
+    cd "$shard" || die "(BUG): Shard '$shard' does not exist?"
+
+    fd . --type directory --max-depth 1 | while read -r package; do
+        cd "$package" || die "(BUG): Package '$package' does not exist?"
+
+        if [ -x update.sh ]; then
+            printf "\033[34;1m> \033[0m\033[34;1m%s\033[0m\n" "Running '${shard}${package}update.sh' .."
+
+            [ -f flake.nix ] && nix flake update
+
+            direnv allow
+            eval "$(direnv export bash 2>/dev/null)"
+            ./update.sh "$@"
+        fi
+        cd - >/dev/null || die "Bug: Last dir does not exist"
+    done
+    cd - >/dev/null || die "Bug: Last dir does not exist"
+done
+
+# vim: ft=sh